import '../../network_api_service/api_service/api_service.dart';
import '../../network_api_service/api_urls/api_urls.dart';

class ResetPasswordRepository {
  final ApiService _apiService = ApiService();

  Future<void> resetPassword({
    required String emailAddress,
    required String newPassword,
  }) async {
    try {
      await _apiService.post(
        ApiUrls.resetPassword,
        data: {
          "emailAddress": emailAddress,
          "newPassword": newPassword,
        },
      );
    } catch (e) {
      throw Exception('Failed to reset password: $e');
    }
  }
}